# ApiControlPlane

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**values_yaml** | **str** | The content of the values.yaml used to configure the control plane | [optional] 
**namespace** | **str** | The namespace where the control plane is installed. Append the domain to the namespace to get the url of the control plane. | [optional] 
**dns_suffix** | **str** | The domain where the control plane is installed. Append the domain to the namespace to get the url of the control plane. | [optional] 
**uuid** | **str** | The universally unique ID of this control plane in Cloudera Manager | [optional] 
**docker_registry** | **str** | The url of the Docker Registry where images used to deploy the control plane are stored | [optional] 
**remote_repo_url** | **str** | The url of the remote repository where the artifacts used to install the control plane are hosted | [optional] 
**version** | **str** | The CDP version of the control plane | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


